**TPLH/HL-LZ/ZL-HZ/ZH AC analysis for nominal process(avca164245)
************************************************************************
*Standard Linear and Logic, Texas Instruments
************************************************************************
*          Property of Texas Instruments Incorporated.  Unauthorized   *
*          reproduction and/or distribution is strictly prohibited.    *
*                                                                      *
*          This product is protected under copyright law.              *
*          Created 1998, (C) Copyright 1998, Texas Instruments Inc.,   *
*          All Rights Reserved                                         *
*                                                                      *
*          UNLESS THERE IS A SIGNED, WRITTEN AGREEMENT TO THE          *
*          CONTRARY, TEXAS INSTRUMENTS ("TI") IS PROVIDING THE SPICE   *
*          MODELS "AS IS" AND WITHOUT ANY WARRANTY, EXPRESSED OR       *
*          IMPLIED.  TI assumes no liability for:                      *
*          1) the accuracy of the SPICE models provided to your        *
*             company;                                                 *
*          2) the proper functioning of these SPICE models in your     *
*             design or for any resulting applications; or             *
*          3) infringement of patents, copyrights or intellectual      *
*             property rights resulting from your use of these         *
*             SPICE models.                                            *
*                                                                      *
*          TI provides SPICE Models as a service to our customers.     *
*          You and your company shall not distribute, sell or give     *
*          these models to anyone else without prior written           *
*          permission from TI.                                         *
*                                                                      *
*          TI reserves the right to make changes to our products or    *
*          to discontinue any semiconductor product or service         *
*          without notice, and advises our customers to obtain the     *
*          latest version of relevant information to verify, before    *
*          placing orders, that the information being relied on is     *
*          current.                                                    *
*                                                                      *
*          Please be aware that your receipt and use of the SPICE      *
*          information provided shall serve as acceptance of these     *
*          terms and conditions.  If you do not accept these terms,    *
*          you should return or destroy the SPICE models and any       *
*          other accompanying information immediately.                 *
************************************************************************
*
* SLL APPLICATIONS, PD
* DATE :November,4, 2003. 
*NOTE:
*This is the user's file.Refer to the read.me file before you proceed.
*
************************************************************************
****                HSPICE EXECUTION OPTIONS                        ****
************************************************************************
*
    .OPTIONS POST           $ Enables HSPLOT interface
    .OPTIONS ACCT OPTS      $ Prints stats & option values used
    .OPTIONS SPICE=1        $ Forces Berkeley compatibility
    .OPTIONS GMIN=1E-8     $ Lowest allowable conductance values
    .OPTIONS GMINDC=1E-8
    .OPTIONS ITL1=400       $ Maximum DC iteration limit
    .OPTIONS ITL4=40        $ Maximum transient iterations/timestep
    .OPTIONS ITL5=0         $ No limit to total transient iterations
    .OPTIONS GSHUNT=1E-8
***********************************************************************
*
***********************************************************************
*
*   NOTE:
*   The following files must be present to use this SPICE model:
*      AVCA164245INC.INC       (netlist)
*        X_PROCESS_SELECTOR 0 NOMINALINC
*	.include res_nominal
*        X_PROCESS_SELECTOR 0 WEAKINC
*	.include res_weak
*        X_PROCESS_SELECTOR 0 STRONGINC
*	.include res_strong

*	 	
***********************************************************************
**** To use this SPICE model, Please select a pair of process models for each 
**** process. Example: for nominal process, select  NOMINALINC and  res_nominal.
**** Select only one package model at a time. To change the package selection,
**** the package model names in the sub circuit need to be changed. 
**** Example: to change TSSOP package from the BGA package,
**** select the .include tssop48.dat and
**** change the models as
**** X_PIN47      p_1a1       s_1a1		TSSOP48_47
***********************************************************************
****
*      .
*      .
*      .
.OPTIONS search='./' 

********* Device Netlist ***********
	X_DEVICE_SELECTOR  0 LVCC3245AINC

************ Package Model ********* 
*	.include soic24.pkg
*	.include sop24.pkg
*	.include ssop24.pkg
        .include tssop24.pkg

******** Nominal Process Models *******
        X_PROCESS_SELECTOR 0 NOMINALINC

******** Weak Process Models *********
*        X_PROCESS_SELECTOR 0 WEAKINC

******** Strong Process Models *********
*        X_PROCESS_SELECTOR 0 STRONGINC

******** Temperature ***************
.temp 25


***********************************************************************
******Top level Subcircuit call (device call)
***********************************************************************
xlvcc3245a  x_1a1  x_1b1 x_noe x_dir x_cvcca x_cvccb x_cgnd lvcc3245a 

***********************************************************************
******Supply Voltages
***********************************************************************

v_cvcca         x_cvcca     0     DC    3.3
v_cvccb         x_cvccb     0     DC    5
v_cgnd          x_cgnd      0     DC    0.0
v_cgndb         x_cgndb     0     DC    0.0
v_cgndc         x_cgndc     0     DC    0.0


***********************************************************************
******Subcircuit for package connection
***********************************************************************
.SUBCKT lvcc3245a p_1a1 p_1b1 p_noe p_dir p_cvcca p_cvccb p_cgnd
 X_PIN3       p_1a1       s_1a1		TSSOP24_03
 X_PIN21      p_1b1       s_1b1      	TSSOP24_21
 X_PIN22      p_noe       s_noe         TSSOP24_22
 X_PIN2       p_dir       s_dir         TSSOP24_02
 X_PIN11      p_cgnd      s_cgnd 	TSSOP24_11
 X_PIN12      p_cgnd      s_cgnd 	TSSOP24_12
 X_PIN13      p_cgnd      s_cgnd	TSSOP24_13
 X_PIN24      p_cvccb     s_cvccb  	TSSOP24_24
 X_PIN1       p_cvcca     s_cvcca  	TSSOP24_01

xlvcc3245a s_1a1 s_1b1 s_noe s_dir s_cvcca s_cvccb s_cgnd lvcc3245a__bit

.ENDs lvcc3245a

***********************************************************************
.tran 1ns 60ns
.param capload=50p
.param resload=500


** Propagation test (LH/HL)

V_dir  x_dir  0     DC      0V
V_noe  x_noe  0     DC	    0V

V_b1      x_1b1      0   PULSE (0 5 2ns 1ns 1ns 24ns 50ns) 
R1_LOAD   x_1a1      0   resload
C1_LOAD   x_1a1      0   capload

.END
